
package datos;

import java.io.File;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.nio.charset.StandardCharsets;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import org.jdom2.Document;
import org.jdom2.Element;
import org.jdom2.input.SAXBuilder;

public class ProvinciasDATOS {
    
    public List<String> leerProvincias() throws Exception {    
        
        List<String> listaProvincias = new ArrayList();
        
        Document document = new SAXBuilder().build(new InputStreamReader(new FileInputStream(new File("xml\\municipios.xml")), StandardCharsets.ISO_8859_1));          
       // Document document = new SAXBuilder().build("xml\\municipios.xml");
        
        Element raiz = document.getRootElement();
        
        List listaProvinciasXML = raiz.getChildren("PROVINCIA");
        Iterator iteratorProvincias = listaProvinciasXML.iterator(); 
        while (iteratorProvincias.hasNext())
          {                        
            Element provincia = (Element)iteratorProvincias.next(); 
            listaProvincias.add(provincia.getAttributeValue("id_provincia")+" - "+provincia.getAttributeValue("nombre"));                      
          } 
        
        return listaProvincias;
    }
}
